/* 
This is a test sketch for the Adafruit assembled Motor Shield for Arduino v2
It won't work with v1.x motor shields! Only for the v2's with built in PWM
control

For use with the Adafruit Motor Shield v2 
---->	http://www.adafruit.com/products/1438
*/

#include <Wire.h>
#include <Adafruit_MotorShield.h>
#include "utility/Adafruit_PWMServoDriver.h"

// Create the motor shield object with the default I2C address
Adafruit_MotorShield AFMS = Adafruit_MotorShield(); 
// Or, create it with a different I2C address (say for stacking)
// Adafruit_MotorShield AFMS = Adafruit_MotorShield(0x61); 

// Select which 'port' M1, M2, M3 or M4 your motors are wired to.
Adafruit_DCMotor *rightmotor = AFMS.getMotor(3); //right motor connected to M3
Adafruit_DCMotor *leftmotor = AFMS.getMotor(4); //left motor connected to M4

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Adafruit Motorshield v2 - DC Motor test!");

  AFMS.begin();  // create with the default frequency 1.6KHz
  //AFMS.begin(1000);  // OR with a different frequency, say 1KHz
  

}

void loop() {
  Serial.println("right motor - forward");
  rightmotor->setSpeed(75); //Sets the right motor speed 0-255
  rightmotor->run(FORWARD);
delay(3000);
 rightmotor->run(RELEASE);

    Serial.println("left motor - forward");
  leftmotor->setSpeed(75); //Sets the left motor speed 0-255
  leftmotor->run(FORWARD);
  delay(3000);
  leftmotor->run(RELEASE);
  delay(3000);
 
}
